package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayProductMaterial;
import com.ruoyi.pay.domain.vo.PayProductMaterialVo;
import com.ruoyi.pay.domain.bo.PayProductMaterialBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 产品毛料关联Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayProductMaterialService {

    /**
     * 查询产品毛料关联
     */
    PayProductMaterialVo queryById(Long id);

    /**
     * 查询产品毛料关联列表
     */
    TableDataInfo<PayProductMaterialVo> queryPageList(PayProductMaterialBo bo, PageQuery pageQuery);

    /**
     * 查询产品毛料关联列表
     */
    List<PayProductMaterialVo> queryList(PayProductMaterialBo bo);

    /**
     * 新增产品毛料关联
     */
    Boolean insertByBo(PayProductMaterialBo bo);

    /**
     * 修改产品毛料关联
     */
    Boolean updateByBo(PayProductMaterialBo bo);

    /**
     * 校验并批量删除产品毛料关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
